Bug 1059355 - [engine-setup] engine-setup should detect if postgresql's shared_buffers are below active kernel.shmmax
Summary: [engine-setup] engine-setup should detect if postgresql's shared_buffers are ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.3.1
Assignee: Ofer Schreiber
QA Contact: Jiri Belka
URL:
Whiteboard: integration
Depends On: 1033043
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 17:33 UTC by rhev-integ
Modified: 2014-03-03 13:32 UTC (History)
11 users (show)

Fixed In Version: is34
Doc Type: Bug Fix
Doc Text:
Previously, engine-setup would not detect if shared_buffers for PostgreSQL were below the active kernel.shmmax. This would result in engine-setup failing if kernel.shmmax was below that required to start the postgresql service. With this update, engine-setup detects if shared_buffers for PostgreSQL is below the active kernel.shmmax and returns a runtime error if that is the case.
Clone Of: 1033043
Environment:
Last Closed: 2014-03-03 13:32:23 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0227 0 normal SHIPPED_LIVE rhevm 3.3.1 bug fix update 2014-03-03 18:29:31 UTC
oVirt gerrit 23284 0 None None None Never
oVirt gerrit 23843 0 None None None Never
oVirt gerrit 23845 0 None None None Never
oVirt gerrit 23866 0 None None None Never
oVirt gerrit 23868 0 None None None Never

Comment 2 Jiri Belka 2014-02-13 09:40:18 UTC
ok, rhevm-setup-3.3.1-0.47.el6ev.noarch

...
2014-02-13 09:34:04 DEBUG otopi.plugins.ovirt_engine_setup.system.sysctl plugin.execute:441 execute-output: ('/sbin/sysctl', '-n', 'kernel.shmmax
') stdout:
30000000

2014-02-13 09:34:04 DEBUG otopi.plugins.ovirt_engine_setup.system.sysctl plugin.execute:446 execute-output: ('/sbin/sysctl', '-n', 'kernel.shmmax') stderr:


2014-02-13 09:34:04 DEBUG otopi.plugins.ovirt_engine_setup.system.sysctl sysctl._validation:79 sysctl shared memory is 30000000 lower than 68719476736
...
2014-02-13 09:34:06 DEBUG otopi.context context._executeMethod:123 Stage misc METHOD otopi.plugins.ovirt_engine_setup.system.sysctl.Plugin._misc
2014-02-13 09:34:06 DEBUG otopi.transaction transaction._prepare:77 preparing 'File transaction for '/etc/sysctl.d/ovirt-engine.conf''
2014-02-13 09:34:06 DEBUG otopi.filetransaction filetransaction.prepare:189 file '/etc/sysctl.d/ovirt-engine.conf' missing
2014-02-13 09:34:06 DEBUG otopi.plugins.ovirt_engine_setup.system.sysctl plugin.executeRaw:366 execute: ('/sbin/sysctl', '-p', '/etc/sysctl.d/ovirt-engine.conf.R16vbd.tmp'), executable='None', cwd='None', env=None
2014-02-13 09:34:06 DEBUG otopi.plugins.ovirt_engine_setup.system.sysctl plugin.executeRaw:383 execute-result: ('/sbin/sysctl', '-p', '/etc/sysctl.d/ovirt-engine.conf.R16vbd.tmp'), rc=0
2014-02-13 09:34:06 DEBUG otopi.plugins.ovirt_engine_setup.system.sysctl plugin.execute:441 execute-output: ('/sbin/sysctl', '-p', '/etc/sysctl.d/ovirt-engine.conf.R16vbd.tmp') stdout:
kernel.shmmax = 68719476736

2014-02-13 09:34:06 DEBUG otopi.plugins.ovirt_engine_setup.system.sysctl plugin.execute:446 execute-output: ('/sbin/sysctl', '-p', '/etc/sysctl.d/ovirt-engine.conf.R16vbd.tmp') stderr:


2014-02-13 09:34:06 DEBUG otopi.plugins.ovirt_engine_setup.system.sysctl plugin.executeRaw:366 execute: ('/sbin/sysctl', '-n', 'kernel.shmmax'), executable='None', cwd='None', env=None
2014-02-13 09:34:06 DEBUG otopi.plugins.ovirt_engine_setup.system.sysctl plugin.executeRaw:383 execute-result: ('/sbin/sysctl', '-n', 'kernel.shmmax'), rc=0
2014-02-13 09:34:06 DEBUG otopi.plugins.ovirt_engine_setup.system.sysctl plugin.execute:441 execute-output: ('/sbin/sysctl', '-n', 'kernel.shmmax') stdout:
68719476736

Comment 4 errata-xmlrpc 2014-03-03 13:32:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0227.html


Note You need to log in before you can comment on or make changes to this bug.